import 'package:c8y_client/src/core/model/id.dart';

class Source extends ID {
  @override
  String id;
  String _self;
  String _name;

  Source(this.id) : super(id);

  Source.complete(this.id, this._self, this._name) : super(id);

  factory Source.fromJson(Map<String, Object> json) {
    var self = json['self'];
    var id = json['id'];
    var name = json['name'];
    return Source(id)
      .._self = self
      .._name = name;
  }

  static Map<String, Object> decode(Source source) {
    return <String, Object>{}
      ..putIfAbsent('id', () => source.id  ?? '');
  }
}
