class SDKException implements Exception {
  final String message;
  int _httpStatusCode = -1;

  SDKException([this.message]);

  SDKException.withStatusCode(int httpStatusCode, this.message) {
    _httpStatusCode = httpStatusCode;
  }

  int getHttpStatus() {
    return _httpStatusCode;
  }

  @override
  String toString(){
    return 'Status code : ' + _httpStatusCode.toString() + '. ' + 'Response : ' + message;
  }
}
