import 'dart:collection';

import 'package:c8y_client/src/core/model/base_resource_representation.dart';
import 'package:c8y_client/src/core/model/paged_statistics.dart';

abstract class BaseCollectionRepresentation<T>
    extends BaseResourceRepresentation with IterableMixin<T> {
  PageStatistics pageStatistics;
  @override
  String self;
  String next;
  BaseCollectionRepresentation() : super();
}
