

import 'package:c8y_client/src/alarms/model/alarm_api.dart';
import 'package:c8y_client/src/inventory/model/inventory_api.dart';
import 'package:c8y_client/src/user/model/user_api.dart';

import 'rest_operations.dart';

abstract class Platform {
  RestOperations rest();

  InventoryApi inventory();

  UserApi user();

  AlarmApi alarm();
//
//  IdentityApi getIdentityApi() throws SDKException;
//
//  MeasurementApi getMeasurementApi() throws SDKException;
//
//  DeviceControlApi getDeviceControlApi() throws SDKException;
//

//
//  EventApi getEventApi() throws SDKException;
//
//  AuditRecordApi getAuditRecordApi() throws SDKException;
//
//  CepApi getCepApi() throws SDKException;
//
//  DeviceCredentialsApi getDeviceCredentialsApi() throws SDKException;
//
//  BinariesApi getBinariesApi() throws SDKException;
//

}
